@use '../plum_base/settings/vars' as vars;
@use '../plum_base/utilities' as utilitie;
@use '../plum_base/tools/mixin_mq' as mixin_mq;


/*
    **MAKE UTILITIES LINK
*/
@include utilitie.make-link('.');

/* ---------------------------------------------------------------- */

/*
    **MAKE UTILITIES BG
*/
@include utilitie.make-bg-attachment('.');
@include utilitie.make-bg-clip('.');
@include utilitie.make-bg-origin('.');
@include utilitie.make-bg-position('.');
@include utilitie.make-bg-repeat('.');
@include utilitie.make-bg-size('.');

/*
    **MAKE UTILITIES BORDER
*/
@include utilitie.make-border-style('.');
@include utilitie.make-border-width('.');
@include utilitie.make-border-rounded('.');

/*
    **MAKE UTILITIES FLEX
*/
@include utilitie.make-flex-align('.');
@include utilitie.make-flex-direction('.');
@include utilitie.make-flex('.');
@include utilitie.make-flex-grow('.');
@include utilitie.make-flex-justify('.');
@include utilitie.make-flex-order('.');
@include utilitie.make-flex-shrink('.');
@include utilitie.make-flex-wrap('.');

/*
    **MAKE UTILITIES GRID
*/
@include utilitie.make-gap('.');
@include utilitie.make-grid-auto('.');
@include utilitie.make-grid-column('.');
@include utilitie.make-grid-row('.');
@include utilitie.make-template-columns('.');
@include utilitie.make-template-rows('.');

/*
    **MAKE UTILITIES OUTLINE
*/
@include utilitie.make-outline-style('.');
@include utilitie.make-outline-width('.');

/*
    **MAKE UTILITIES HEIGHT
*/
@include utilitie.make-height('.');
@include utilitie.make-view-height('.');

/*
    **MAKE UTILITIES WIDTH
*/
@include utilitie.make-width('.');
@include utilitie.make-view-width('.');

/*
    **MAKE UTILITIES MARGIN
*/
@include utilitie.make-margin('.');

/*
    **MAKE UTILITIES PADDING
*/
@include utilitie.make-padding('.');

/*
    **MAKE UTILITIES TABLE
*/
@include utilitie.make-table-border('.');
@include utilitie.make-table-layout('.');

/*
    **MAKE UTILITIES TRANSITIONS
*/
@include utilitie.make-transition-duration('.');
@include utilitie.make-transition-property('.');
@include utilitie.make-transition-timing-function('.');

/*
    **MAKE UTILITIES TYPOGRAPHY
*/
@include utilitie.make-tx-align('.');
@include utilitie.make-tx-antialiased('.');
@include utilitie.make-tx-break('.');
@include utilitie.make-tx-decoration('.');
@include utilitie.make-ff('.');
@include utilitie.make-tx-hover('.');
@include utilitie.make-list-style('.');
@include utilitie.make-tx-shadow('.');
@include utilitie.make-tx-size('.');
@include utilitie.make-tx-spaced('.');
@include utilitie.make-tx-style('.');
@include utilitie.make-tx-tracking('.');
@include utilitie.make-tx-transform('.');
@include utilitie.make-tx-weight('.');
@include utilitie.make-white-space('.');
@include utilitie.make-writing-mode('.');

/*
    **MAKE UTILITIES APPEREANCE
*/
@include utilitie.make-appereance('.');

/*
    **MAKE UTILITIES BOX-SHADOW
*/
@include utilitie.make-box-shadow('.');

/*
    **MAKE UTILITIES CURSOR
*/
@include utilitie.make-cursor('.');

/*
    **MAKE UTILITIES DISPLAY
*/
@include utilitie.make-display('.');

/*
    **MAKE UTILITIES FILTERS
*/
@include utilitie.make-filters('.');

/*
    **MAKE UTILITIES FLOAT
*/
@include utilitie.make-float('.');

/*
    **MAKE UTILITIES MIX BLEND
*/
@include utilitie.make-mix-blend('.');

/*
    **MAKE UTILITIES OBJECT FIT
*/
@include utilitie.make-object-fit('.');

/*
    **MAKE UTILITIES OPACITY
*/
@include utilitie.make-opacity('.');

/*
    **MAKE UTILITIES OVERFLOW
*/
@include utilitie.make-overflow('.');

/*
    **MAKE UTILITIES PLACE ITEMS
*/
@include utilitie.make-place-items('.');

/*
    **MAKE UTILITIES PLACEMENT
*/
@include utilitie.make-placement('.');

/*
    **MAKE UTILITIES POINTER EVENTS
*/
@include utilitie.make-pointer-events('.');

/*
    **MAKE UTILITIES POSITION
*/
@include utilitie.make-position('.');

/*
    **MAKE UTILITIES RESIZE
*/
@include utilitie.make-resize('.');

/*
    **MAKE UTILITIES ROTATE
*/
@include utilitie.make-rotate('.');

/*
    **MAKE SCROLL BEHAVIOR
*/
@include utilitie.make-scroll-behavior('.');

/*
    **MAKE UTILITIES VERTICAL-ALIGN
*/
@include utilitie.make-vertical-align('.');

/*
    **MAKE UTILITIES VISIBILITY
*/
@include utilitie.make-visibility('.');

/*
    **MAKE UTILITIES Z-INDEX
*/
@include utilitie.make-z-index('.');


/*
    **MAKE UTILITIES COLORS
*/
@include utilitie.make-colors('.');


@each $breakpoint, $size in vars.$breakpoints {
    @include mixin_mq.media-up($breakpoint){
        .#{$breakpoint}\:{
            @include utilitie.make-link('&');

            /* -------------------------------- */


            @include utilitie.make-bg-attachment('&');
            @include utilitie.make-bg-clip('&');
            @include utilitie.make-bg-origin('&');
            @include utilitie.make-bg-position('&');
            @include utilitie.make-bg-repeat('&');
            @include utilitie.make-bg-size('&');

            @include utilitie.make-border-style('&');
            @include utilitie.make-border-width('&');
            @include utilitie.make-border-rounded('&');

            @include utilitie.make-flex-align('&');
            @include utilitie.make-flex-direction('&');
            @include utilitie.make-flex('&');
            @include utilitie.make-flex-grow('&');
            @include utilitie.make-flex-justify('&');
            @include utilitie.make-flex-order('&');
            @include utilitie.make-flex-shrink('&');
            @include utilitie.make-flex-wrap('&');

            @include utilitie.make-gap('&');
            @include utilitie.make-grid-auto('&');
            @include utilitie.make-grid-column('&');
            @include utilitie.make-grid-row('&');
            @include utilitie.make-template-columns('&');
            @include utilitie.make-template-rows('&');

            @include utilitie.make-outline-style('&');
            @include utilitie.make-outline-width('&');

            @include utilitie.make-height('&');
            @include utilitie.make-view-height('&');

            @include utilitie.make-width('&');
            @include utilitie.make-view-width('&');

            @include utilitie.make-margin('&');

            @include utilitie.make-padding('&');

            @include utilitie.make-table-border('&');
            @include utilitie.make-table-layout('&');

            @include utilitie.make-tx-align('&');
            @include utilitie.make-tx-antialiased('&');
            @include utilitie.make-tx-break('&');
            @include utilitie.make-tx-decoration('&');
            @include utilitie.make-ff('&');
            @include utilitie.make-tx-hover('&');
            @include utilitie.make-list-style('&');
            @include utilitie.make-tx-shadow('&');
            @include utilitie.make-tx-size('&');
            @include utilitie.make-tx-spaced('&');
            @include utilitie.make-tx-style('&');
            @include utilitie.make-tx-tracking('&');
            @include utilitie.make-tx-transform('&');
            @include utilitie.make-tx-weight('&');
            @include utilitie.make-white-space('&');
            @include utilitie.make-writing-mode('&');

            @include utilitie.make-appereance('&');

            @include utilitie.make-box-shadow('&');

            @include utilitie.make-cursor('&');

            @include utilitie.make-display('&');

            @include utilitie.make-filters('&');

            @include utilitie.make-float('&');

            @include utilitie.make-object-fit('&');

            @include utilitie.make-opacity('&');

            @include utilitie.make-overflow('&');

            @include utilitie.make-place-items('&');

            @include utilitie.make-placement('&');

            @include utilitie.make-pointer-events('&');

            @include utilitie.make-position('&');

            @include utilitie.make-resize('&');

            @include utilitie.make-rotate('&');

            @include utilitie.make-scroll-behavior('&');

            @include utilitie.make-vertical-align('&');

            @include utilitie.make-visibility('&');

            @include utilitie.make-z-index('&');


            @include utilitie.make-colors('&');
        }
    }
}